# Interface methods for submodule: ConvolutionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ConvolutionImageFilterBaseProxy as _ConvolutionImageFilterBaseProxy


# Interface methods for class: ConvolutionImageFilter
class ConvolutionImageFilterProxy(_ConvolutionImageFilterBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

